These are chat archives for allegro/ralph

17th
Jan 2019
manioo8
@manioo8
Jan 17 11:09

Hello. I have a strange problem, maybe you know why it occurs?
Setup:

after setting up a new ubuntu 18.04 install using the server only minimal iso,
running update and upgrade,
then going through these steps (https://ralph-ng.readthedocs.io/en/latest/installation/installation/, without sudo ralphctl demodata)

i start up the ralph service with systemctl
It starts up. it's active (running) on the vm's only ip address under :8000
The problem is that it doesn't load any graphics / css files on the webpage
going to the system's address:8000 shows a working login prompt, which after logging in shows the site as one giant column

tail -n 27 /var/log/ralph.log shows this:
[17.01.2019 11:40:50,836] WARNING [MainProcess 11175] base - Not Found: /static/vendor/css/foundation-datepicker.62f92e8329e4.css
[17.01.2019 11:40:50,843] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/jquery.c0b3962f9f23.js
[17.01.2019 11:40:50,847] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/jquery.init.575b5609d57c.js
[17.01.2019 11:40:50,852] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/core.8800d3d6dbd2.js
[17.01.2019 11:40:50,857] WARNING [MainProcess 11175] base - Not Found: /static/vendor/js/webcomponents-lite.761d3811879e.js
[17.01.2019 11:40:50,862] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/actions.42b74ac13f07.js
[17.01.2019 11:40:50,873] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/admin/RelatedObjectLookups.f4612c3a03fc.js
[17.01.2019 11:40:50,878] WARNING [MainProcess 11175] base - Not Found: /static/vendor/js/jquery.888d4551b8db.js
[17.01.2019 11:40:50,883] WARNING [MainProcess 11175] base - Not Found: /static/src/js/ralph.init.39e2f0a497aa.js
[17.01.2019 11:40:50,887] WARNING [MainProcess 11175] base - Not Found: /static/auto-complete-helpers.c5d245511ec1.js
[17.01.2019 11:40:50,892] WARNING [MainProcess 11175] base - Not Found: /static/vendor/js/foundation.min.6b2ec41c18b2.js
[17.01.2019 11:40:50,898] WARNING [MainProcess 11175] base - Not Found: /static/vendor/js/modernizr.c1ff1650bba6.js
[17.01.2019 11:40:50,903] WARNING [MainProcess 11175] base - Not Found: /static/src/js/fill-fields.63d74f0f02ca.js
[17.01.2019 11:40:51,186] WARNING [MainProcess 11176] base - Not Found: /static/css/ralph.4c17dc77004c.css
[17.01.2019 11:40:51,214] WARNING [MainProcess 11176] base - Not Found: /static/admin/js/core.8800d3d6dbd2.js
[17.01.2019 11:40:51,238] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/jquery.c0b3962f9f23.js
[17.01.2019 11:40:51,270] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/jquery.init.575b5609d57c.js
[17.01.2019 11:40:51,287] WARNING [MainProcess 11175] base - Not Found: /static/admin/js/actions.42b74ac13f07.js
[17.01.2019 11:40:51,308] WARNING [MainProcess 11176] base - Not Found: /static/admin/js/admin/RelatedObjectLookups.f4612c3a03fc.js
[17.01.2019 11:40:51,336] WARNING [MainProcess 11176] base - Not Found: /static/vendor/js/jquery.888d4551b8db.js
[17.01.2019 11:40:51,355] WARNING [MainProcess 11175] base - Not Found: /static/src/js/ralph.init.39e2f0a497aa.js
[17.01.2019 11:40:51,379] WARNING [MainProcess 11176] base - Not Found: /static/auto-complete-helpers.c5d245511ec1.js
[17.01.2019 11:40:51,400] WARNING [MainProcess 11176] base - Not Found: /static/vendor/js/foundation.min.6b2ec41c18b2.js
[17.01.2019 11:40:51,418] WARNING [MainProcess 11176] base - Not Found: /static/vendor/js/modernizr.c1ff1650bba6.js
[17.01.2019 11:40:51,438] WARNING [MainProcess 11176] base - Not Found: /static/src/js/fill-fields.63d74f0f02ca.js
[17.01.2019 12:00:53,608] WARNING [MainProcess 11216] collector - Statsd not installed or configured - metrics will NOT be collected
[17.01.2019 12:00:53,684] WARNING [MainProcess 11218] collector - Statsd not installed or configured - metrics will NOT be collected

looking around the system, I found a dir called "/usr/share/ralph/static/ and some subdirs that seem to match the errors. checked privileges and they're owned by root and seem to be readable by everyone

Is it possible that ralph is trying to access those files directly at, for example, '/static/vendor/css/foundation-datepicker.62f92e8329e4.css' and not at '/usr/share/ralph/static/vendor/css/foundation-datepicker.62f92e8329e4.css' ? and if so, what config file should contain the path that directs ralph to /static and not to /usr/share/ralph/static?
Szymon Jasiński
@szymi-
Jan 17 11:16
Hi, port 8000 is used by gunicorn. Gunicorn does not serve static files. You will need nginx for that - see the this bit of the documentation: https://ralph-ng.readthedocs.io/en/latest/installation/installation/#nginx-configuration
in the future we will add this to the package in some way
Roman Prykhodchenko
@romcheg
Jan 17 11:19

It think the "standard" way to do that would be to put a configuration file to /usr/share/ralph so users will be able to do something like

ln -s /usr/share/ralph/nginx.conf /etc/nginx/sites-enabled/ralph.conf

There is a way to make gunicorn serve static files as well but that should never be done for production
manioo8
@manioo8
Jan 17 11:21
Okay. the site works on port 80, just like in the default nginx config. Thank you, I'm dumb.
Tried accessing it on 8000 all the time, since that was the standard way on ubuntu 14, or at least that's what i used to do then.
look77
@look77
Jan 17 12:36
Hi, I have a problem with import files to Ralph -it's don't work (server error 500)
Roman Prykhodchenko
@romcheg
Jan 17 12:36
@look77 could you please provide more details?
look77
@look77
Jan 17 12:39
I can import only region and warehouse, other files when I want to import, the programe get file, I see data but when i confirm I have white site and "Server Error 500"
this is new installation
Szymon Jasiński
@szymi-
Jan 17 12:55
@look77 have you checked in the log files for suggestions what could be wrong: https://ralph-ng.readthedocs.io/en/latest/installation/installation/#troubleshooting ?
look77
@look77
Jan 17 13:23

less /var/log/ralph/ralph.log

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/core/handlers/base.py", line 132, in get_response

response = wrapped_callback(request, *callback_args, **callback_kwargs)

File "/usr/lib/python3.6/contextlib.py", line 52, in inner

return func(*args, **kwds)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/utils/decorators.py", line 110, in _wrapped_view

response = view_func(request, *args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/views/decorators/cache.py", line 57, in _wrapped_view_func

response = view_func(request, *args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/contrib/admin/sites.py", line 233, in inner

return view(request, *args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/admin.py", line 159, in process_import

user=request.user)

File "/usr/lib/python3.6/contextlib.py", line 52, in inner

return func(*args, **kwds)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/resources.py", line 395, in import_data

six.reraise(*sys.exc_info())

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/utils/six.py", line 686, in reraise

raise value

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/resources.py", line 378, in import_data

self.save_instance(instance, real_dry_run)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/resources.py", line 195, in save_instance

instance.save()

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/ralph/accounts/models.py", line 173, in save

return super().save(*args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 734, in save

force_update=force_update, update_fields=update_fields)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 762, in save_base

updated = self._save_table(raw, cls, force_insert, force_update, using, update_fields)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 846, in _save_table

result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 885, in _do_insert

using=using, raw=raw)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/manager.py", line 127, in manager_method

return getattr(self.get_queryset(), name)(*args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/query.py", line 920, in _insert

return query.get_compiler(using=using).execute_sql(return_id)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 974, in execute_sql

cursor.execute(sql, params)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/backends/utils.py", line 64, in execute

return self.cursor.execute(sql, params)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/utils.py", line 98, in exit

six.reraise(dj_exc_type, dj_exc_value, traceback)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/utils/six.py", line 685, in reraise

raise value.with_traceback(tb)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/backends/utils.py", line 64, in execute

return self.cursor.execute(sql, params)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 124, in execute

return self.cursor.execute(query, args)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/cursors.py", line 250, in execute

self.errorhandler(self, exc, value)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/connections.py", line 50, in defaulterrorhandler

raise e
Szymon Jasiński
@szymi-
Jan 17 13:31
Not sure what it could be. Maybe there is something wrong with the data in the file you try to import. Try splitting the file into smaller batches (files) maybe to see in which batch there is an error?
look77
@look77
Jan 17 13:34
when Ralph was on Ubuntu 14 everything was correct, on Ubuntu 18 didn't work
Szymon Jasiński
@szymi-
Jan 17 13:35
you mean, you imported the same file on a Ubuntu 14 installation and it imported correctly?
look77
@look77
Jan 17 13:36
yes
Szymon Jasiński
@szymi-
Jan 17 13:43
can you paste what's after "raise e" in the log? it looks like the most interesting part of the log is missing in what you pasted :)
look77
@look77
Jan 17 13:49

[17.01.2019 14:45:11,439] ERROR [MainProcess 11218] base - Internal Server Error: /auth/group/process_import/

Traceback (most recent call last):

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/backends/utils.py", line 64, in execute

return self.cursor.execute(sql, params)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 124, in execute

return self.cursor.execute(query, args)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/cursors.py", line 250, in execute

self.errorhandler(self, exc, value)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/connections.py", line 50, in defaulterrorhandler

raise errorvalue

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/cursors.py", line 247, in execute

res = self._query(query)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/cursors.py", line 412, in _query

rowcount = self._do_query(q)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/cursors.py", line 375, in _do_query

db.query(q)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/MySQLdb/connections.py", line 276, in query

_mysql.connection.query(self, query)

_mysql_exceptions.OperationalError: (1366, "Incorrect string value: '\xC5\x82aw' for column 'name' at row 1")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/core/handlers/base.py", line 132, in get_response

response = wrapped_callback(request, *callback_args, **callback_kwargs)

File "/usr/lib/python3.6/contextlib.py", line 52, in inner

return func(*args, **kwds)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/utils/decorators.py", line 110, in _wrapped_view

response = view_func(request, *args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/views/decorators/cache.py", line 57, in _wrapped_view_func

response = view_func(request, *args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/contrib/admin/sites.py", line 233, in inner

return view(request, *args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/admin.py", line 159, in process_import

user=request.user)

File "/usr/lib/python3.6/contextlib.py", line 52, in inner

return func(*args, **kwds)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/resources.py", line 395, in import_data

six.reraise(*sys.exc_info())

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/utils/six.py", line 686, in reraise

raise value

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/resources.py", line 378, in import_data

self.save_instance(instance, real_dry_run)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/import_export/resources.py", line 195, in save_instance

instance.save()

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 734, in save

force_update=force_update, update_fields=update_fields)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 762, in save_base

updated = self._save_table(raw, cls, force_insert, force_update, using, update_fields)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 846, in _save_table

result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/base.py", line 885, in _do_insert

using=using, raw=raw)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/manager.py", line 127, in manager_method

return getattr(self.get_queryset(), name)(*args, **kwargs)

File "/opt/ralph/ralph-core/lib/python3.6/site-packages/django/db/models/query.py", line 920, in _insert

return query.get_compiler(using=usi
Szymon Jasiński
@szymi-
Jan 17 13:50
_mysql_exceptions.OperationalError: (1366, "Incorrect string value: '\xC5\x82aw' for column 'name' at row 1")
here's your error
remove row 1 and try again
not sure if it's the data or the database characterset though
look77
@look77
Jan 17 13:55
In CSV file i have:
id,name,permissions
Szymon Jasiński
@szymi-
Jan 17 13:56
sorry, I mean second row
look77
@look77
Jan 17 13:56
this is first line with data : 4,admin,"125,82,83,26,20,81,77,78,33,28,50,73,85,27,84,79,21,36,37,38,39,15,16,14,13,76,24,25,35,34,74,75,80,17,72,18,126,155,157,163,153,149,165,143,159,139,151,175,1
Szymon Jasiński
@szymi-
Jan 17 13:56
first row with data
look77
@look77
Jan 17 13:58
this file have 4 lines with data (group import)
all data from this file:
id,name,permissions
"4,admin,""125,82,83,26,20,81,77,78,33,28,50,73,85,27,84,79,21,36,37,38,39,15,16,14,13,76,24,25,35,34,74,75,80,17,72,18,126,155,157,163,153,149,165,143,159,139,151,175,147,145,135,133,141,169,167,131,161,179,171,173,137,177,127,128,154,156,162,152,148,164,142,158,138,150,174,129,146,144,134,132,140,168,166,130,160,178,170,172,136,176,110,111,118,116,120,112,113,117,114,115,119,121,122,123,124,303,304,326,352,348,317,309,346,342,344,322,336,334,320,328,332,311,338,354,340,313,330,315,324,356,350,305,306,325,318,351,347,316,308,345,341,343,321,307,335,333,319,327,331,310,337,353,339,312,329,314,323,355,349,197,198,199,200,266,267,278,284,290,282,276,272,280,274,288,286,268,269,277,283,289,281,270,275,271,279,273,287,285,180,181,194,186,188,190,192,196,182,183,193,185,184,187,189,191,195,299,300,301,302,201,202,203,204,291,292,293,294,357,358,359,360,389,390,406,403,395,410,397,408,399,401,412,391,392,404,405,402,394,393,409,396,407,398,400,411,385,386,387,388,381,382,383,384,209,210,211,212,365,366,367,368,373,374,375,376,361,362,363,364,262,263,264,265,258,259,260,261,369,370,371,372,377,378,379,380,205,206,207,208,218,224,228,234,236,237,250,242,255,244,246,248,253,257,238,239,251,249,241,254,240,243,245,247,252,256,413,414,415,416,417,418,419,420,9,10,11,12,5,6,7,8,429,31,32,22,30,23,29,430,452,478,474,443,435,472,468,470,448,499,462,460,495,491,446,454,501,458,487,437,464,480,466,493,483,439,456,441,450,497,503,476,489,485,431,432,481,451,444,477,473,442,434,471,467,469,447,433,498,461,459,494,490,445,453,500,457,486,436,463,479,465,492,482,438,455,440,449,496,502,475,488,484,425,426,427,428,421,422,423,424,504,505,510,514,512,506,507,509,513,508,511,1237,1238,1239,1240,1241,1242,1243,1244,515,516,517,518,519,520,521,522,556,557,558,559,727,728,729,730,699,40,700,726,713,705,718,716,707,709,711,722,724,720,701,702,714,725,712,704,717,703,715,706,708,710,721,723,719,695,696,697,698,647,648,649,650,651,652,665,657,659,661,663,668,653,654,666,664,656,655,658,660,662,667,548,549,550,551,568,49,48,44,43,41,45,47,46,42,569,591,634,617,613,582,646,574,638,611,607,632,609,587,601,599,585,593,597,628,576,626,603,642,640,619,605,622,578,595,580,630,589,636,624,644,615,570,571,620,590,583,633,616,612,581,645,573,637,610,606,631,608,586,572,600,598,584,592,596,627,575,625,602,641,639,618,604,621,577,594,579,629,588,635,623,643,614,531,532,545,537,539,541,543,547,533,534,544,536,535,538,540,542,546,523,524,525,526,527,528,529,530,564,565,566,567,560,561,562,563,552,553,554,555,669,670,683,675,688,686,677,690,692,679,681,694,671,672,684,682,674,673,687,685,676,689,691,678,680,693,759,760,761,762,755,756,757,758,747,748,749,750,751,752,753,754,743,744,745,746,731,732,733,734,735,736,737,738,739,740,741,742,859,860,865,861,862,863,864,866,54,867,889,887,880,872,903,901,893,885,895,883,874,876,878,905,891,897,899,868,869,881,888,886,879,871,902,900,892,884,894,870,882,873,875,877,904,890,896,898,852,853,858,854,855,856,857,906,55,907,912,914,918,916,908,909,911,913,910,917,915,845,846,851,847,848,849,850,1209,1210,1211,1212,837,838,839,840,779,51,53,52,780,820,834,830,793,785,812,824,800,826,798,810,806,828,816,787,818,802,822,796,789,791,808,804,832,836,814,781,782,819,794,833,829,792,784,783,811,823,799,825,797,809,805,827,815,786,817,801,821,795,788,790,807,803,831,835,813,763,764,769,765,766,767,768,841,842,843,844,770,771,778,776,772,773,777,774,775,1039,1040,1041,1042,1043,1044,1045,1046,1035,1036,1037,1038,1031,1032,1033,1034,1027,1028,1029,1030,1193,1194,1195,1196,1205,1206,1207,1208,1197,1198,1199,1200,1189,68,71,69,67,70,1190,1191,1192,1181,1182,1183,1184,1185,1186,1187,1188,1201,1202,1203,1204,1051,1052,1053,1054,1055,1056,1057,1058,1059,1060,1061,1062,1004,1005,1020,1016,1022,1010,1014,1018,1012,1026,1024,1006,1007,1019,1015,1008,1021,1009,1013,1017,1011,1025,1023,989,990,1001,995,997,999,1003,991,992,1000,993,994,996,998,1002,985,986,987,988,926,943,951,953,947,927,939,941,932,919,920,921,922,1217,1218,1219,1220,1229,1230,1231,1232,1233,1234,1235,1236,1067,1068,1086,1081,1073,1088,1084,1075,1077,1079,1090,1069,1070,1082,1085,1080,1072,1087,1071,1083,1074,1076,1078,1089,1115,65,66,59,1116,1132,1134,1129,1121,1138,1136,1140,1142,1123,1125,1127,1144,1117,1118,1130,1131,1133,1128,1120,1137,1135,1139,1119,1141,1122,1124,1126,1143,1091,1092,1108,1105,1097,1112,1099,1110,1101,1103,1114,1093,1094,1106,1107,1104,1096,1095,1111,1098,1109,1100,1102,1113,1063,1064,1065,1066,1145,1146,1147,1148,1153,58,64,61,62,60,63,1154,1178,1167,1159,1174,1161,1163,1165,1176,1170,1180,1172,1155,1156,1168,1177,1166,1158,1173,1157,1160,1162,1164,1175,1169,1179,1171,1149,1150,1151,1152"""
2,Katowice,
3,Warszawa,
"1,Wroc‘?aw,""72,128,154,156,152,142,138,150,140,168,166,136,306,325,321,319,312,323"""
Roman Prykhodchenko
@romcheg
Jan 17 14:06
Czyli problem znowu jest we Wrocławiu? :D
Szymon Jasiński
@szymi-
Jan 17 14:06
This is a database / data related problem with characterset
look77
@look77
Jan 17 14:07
tak :)
Roman Prykhodchenko
@romcheg
Jan 17 14:08
Indeed looks like the charset is misconfigured somewhere
look77
@look77
Jan 17 14:10
ralph wczytuje wszystkie te pliki z importami, pokazuje dane u siebie i pokazuje je na podglądzie, ale jak potwierdzam import wywala blad
Roman Prykhodchenko
@romcheg
Jan 17 14:10
Let's stick to English here to not scare off the rest of the community :)
look77
@look77
Jan 17 14:10
ok
Roman Prykhodchenko
@romcheg
Jan 17 14:13
does this "Wrocław" look correct on the preview?
look77
@look77
Jan 17 14:14
yes
Roman Prykhodchenko
@romcheg
Jan 17 14:14
another thing to check is the charset for the database/table
IIRC mysql has latin1 set by default
look77
@look77
Jan 17 14:14
I have this file from Ralph (on a Ubuntu 14 -instalation in november) but now I have Ralph on a Ubuntu 18 installed today and import most file don't work
Szymon Jasiński
@szymi-
Jan 17 14:19
if you have access to both databases (the old Ubuntu 14 installation and the new Ubuntu 18 installation), run this command on both databases:
SELECT default_character_set_name FROM information_schema.SCHEMATA WHERE schema_name = 'your_ralph_table_name';
check if the character set differs between the databases
it should say 'your_ralhp_database_name' above
(obviously, substitute that with your database name ;) )
Szymon Jasiński
@szymi-
Jan 17 14:39
If you created database using these instructions: https://ralph-ng.readthedocs.io/en/latest/installation/installation/#database-configuration , the quickest way to fix this would be to drop the database (you will loose all data that is already in it) and create it once again like this:
CREATE DATABASE ralph_ng CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
and then populate it with data once again
then Wrocław should import correctly
look77
@look77
Jan 17 14:41
BTW the same problem (Server error 500) i have when i click "save" in field (for ex. root or other users)
if i change something elier, everything is ok (ralph save this) but when i don't change anything and I click save I have this problem too